package com.zjty.inspect.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 依赖树封装
 * @author Mcj
 * @date 2020-02-21 20:26
 */
@Data
@ApiModel(value = "依赖树封装")
public class DependencyVo implements Serializable {
    private List<ProjectPom> depTreeList = new ArrayList<>(64);
    private List<ProjectPom> frontend = new ArrayList<>(64);

    public void add(ProjectPom projectPom){
        depTreeList.add(projectPom);
    }
    public void addAll(List<ProjectPom> projectPoms){
        depTreeList.addAll(projectPoms);
    }
}
